package jugs.javafx.a_basics;

import javafx.application.Application;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.CheckBox;
import javafx.scene.control.ListView;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

/**
 * Beispielprogramm für JavaFX-Schulung 
 * 
 * @author Michael Inden
 * 
 * Copyright 2015 by Michael Inden 
 */
public class Exercise3a_CssStyledListExample extends Application
{
    @Override
    public void start(Stage primaryStage) throws Exception
    {
        final String[] names = { "red", "green", "yellow", "blue", "black", "gray", "brown", "orange" };
        final ObservableList<String> entries = FXCollections.observableArrayList(names);

        final ListView<String> listView = new ListView<>(entries);
        listView.setPrefHeight(200);

        final CheckBox applyStyle = new CheckBox("Apply style");
        applyStyle.setOnAction(event -> {
            // TODO
        });
        
        final VBox vBox = new VBox();
        vBox.setPadding(new Insets(5, 5, 5, 5));
        vBox.setSpacing(10);
        vBox.getChildren().addAll(listView, applyStyle);

        primaryStage.setScene(new Scene(vBox, 300, 250));
        primaryStage.setTitle(this.getClass().getSimpleName());
        primaryStage.show();

    }

    public static void main(String[] args)
    {
        launch(args);
    }
}
